/* RESET */

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

body{
    font-family:Arial, Helvetica, sans-serif;
    background:#f4f4f4;
    color:#333;
    line-height:1.6;
}

/* SALTAR AL CONTENIDO */

.skip-link{
    position:absolute;
    left:-999px;
    top:10px;
    background:#000;
    color:#fff;
    padding:12px;
    text-decoration:none;
}

.skip-link:focus{
    left:15px;
    z-index:1000;
}

/* NAVEGACIÓN */

nav{
    display:flex;
    justify-content:center;
    gap:20px;
    background:#005792;
    padding:15px;
}

nav a{
    color:white;
    text-decoration:none;
    padding:10px 20px;
    border-radius:8px;
    transition:.3s;
    font-weight:bold;
}

nav a:hover{
    background:white;
    color:#005792;
    transform:scale(1.1);
}

/* CONTENIDO */

main{
    padding:30px;
}

/* IMÁGENES */

img{
    width:100%;
    border:4px solid #005792;
    padding:6px;
    border-radius:15px;
}

/* GRID */

.grid{
    display:grid;
    grid-template-columns:repeat(2,1fr);
    gap:20px;
}

/* FLEX */

.flex{
    display:flex;
    justify-content:center;
    flex-wrap:wrap;
    gap:20px;
}

.flex figure{
    width:300px;
}

/* HOVER */

figure img{
    transition:transform .4s, box-shadow .4s;
}

figure img:hover{
    transform:scale(1.08);
    box-shadow:0 0 15px gray;
}

/* nth-child */

.flex figure:nth-child(odd) img{
    border-radius:50px;
}

.flex figure:nth-child(even) img{
    border-radius:5px;
}

footer{
    background:#005792;
    color:white;
    text-align:center;
    padding:20px;
    margin-top:40px;
}